> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instructor permission presets 

> Get available permission presets that can be applied to instructors

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-instructor-permission-presets
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-instructor-permission-presets:
    post:
      tags:
        - User
      summary: 'Get instructor permission presets '
      description: >-
        Get available permission presets that can be applied to instructors


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          pageNumber:
                            type: number
                            minimum: 1
                            description: Page number for pagination (starts from 1)
                          limit:
                            type: number
                            minimum: 1
                            maximum: 100
                            description: >-
                              Maximum number of presets to return per page
                              (1-100)
                        required:
                          - pageNumber
                          - limit
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                totalPresetCount:
                                  type: number
                                  description: Total number of available permission presets
                                presets:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        enum:
                                          - single-course-access
                                          - all-courses-admin-no-delete
                                          - all-courses-admin
                                          - single-contest-access
                                          - single-contest-readonly
                                          - manage-all-contests
                                          - all-live-events-admin
                                          - video-library-access
                                          - coding-labs-access
                                          - billing-access
                                          - object-storage-access
                                          - developer-access
                                          - read-only-admin
                                          - community-access
                                          - super-admin
                                        description: >-
                                          Unique identifier for the permission
                                          preset
                                      requiresResourceIds:
                                        type: boolean
                                        description: >-
                                          Whether this preset requires specific
                                          resource IDs to be specified
                                      permissionSets:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            permissions:
                                              type: array
                                              items:
                                                type: string
                                                enum:
                                                  - CreateCourse
                                                  - ListCourse
                                                  - DeleteCourse
                                                  - CreateCourseContent
                                                  - ListCourseContent
                                                  - ReadCourseContent
                                                  - UpdateCourseContent
                                                  - DeleteCourseContent
                                                  - CreateCourseCoupon
                                                  - UpdateCourseCoupon
                                                  - ListCourseCoupon
                                                  - DeleteCourseCoupon
                                                  - ListCoursePricing
                                                  - UpdateCoursePricing
                                                  - ListCourseStudent
                                                  - ListCourseStudentReview
                                                  - CreateCourseEnrolledStudent
                                                  - DeleteCourseEnrolledStudent
                                                  - ListContest
                                                  - ReadContest
                                                  - CreateContest
                                                  - UpdateContest
                                                  - DeleteContest
                                                  - ReadCourseLiveClass
                                                  - UpdateCourseLiveClass
                                                  - ListProductStudent
                                                  - CreateProduct
                                                  - ListProduct
                                                  - DeleteProduct
                                                  - CreateProductCoupon
                                                  - ListProductCoupon
                                                  - DeleteProductCoupon
                                                  - CreateCustomPage
                                                  - ListCustomPage
                                                  - ReadCustomPage
                                                  - UpdateCustomPage
                                                  - CreateCustomRedirect
                                                  - ListCustomRedirect
                                                  - UpdateCustomRedirect
                                                  - DeleteCustomRedirect
                                                  - CreateOneToOneEvent
                                                  - ListOneToOneEvent
                                                  - ReadOneToOneEvent
                                                  - UpdateOneToOneEvent
                                                  - CreateOneToOneSchedule
                                                  - ListOneToOneSchedule
                                                  - ReadOneToOneSchedule
                                                  - UpdateOneToOneSchedule
                                                  - ReadSale
                                                  - ReadUserAnalytic
                                                  - ReadPayout
                                                  - ReadSchoolBillingData
                                                  - ReadWebhook
                                                  - UpdateWebhook
                                                  - ListWebhookEventLog
                                                  - UpdateSchoolConfig
                                                  - CreateCommunityChannel
                                                  - ListCommunityChannel
                                                  - ReadCommunityChannel
                                                  - UpdateCommunityChannel
                                                  - DeleteCommunityChannel
                                                  - CreateCommunityChannelMessage
                                                  - ListCommunityChannelMessage
                                                  - UpdateCommunityChannelMessage
                                                  - DeleteCommunityChannelMessage
                                                  - CreateCommunityChannelParticipant
                                                  - ListCommunityChannelParticipant
                                                  - DeleteCommunityChannelParticipant
                                                  - CreateCommunityChannelBlacklistedUser
                                                  - ListCommunityChannelBlacklistedUser
                                                  - DeleteCommunityChannelBlacklistedUser
                                                  - CreateNewForm
                                                  - ReadExistingForm
                                                  - UpdateExistingForm
                                                  - ListFormSubmissions
                                                  - ListOnboardingFormData
                                                  - UpdateOnboardingFormData
                                                  - ListAllSchoolUsersPersonalData
                                                  - UpdateSchoolUserSensitiveData
                                                  - CreateUser
                                                  - DeleteUser
                                                  - ReadAffiliateMarketingConfig
                                                  - UpdateAffiliateMarketingConfig
                                                  - ReadAffiliateMarketingSales
                                                  - ReadGamificationConfig
                                                  - UpdateGamificationConfig
                                                  - ReadPlatformGlobalAnalytics
                                                  - CreateNewBlog
                                                  - ListAllBlogs
                                                  - ListSingleBlog
                                                  - UpdateExistingBlog
                                                  - DeleteBlog
                                                  - CreateBulkImportSyllabusData
                                                  - UpdateSchoolFeatures
                                                  - ListSchoolFeatures
                                                  - DeleteUserCourseProgress
                                                  - ReadPrivateApiKey
                                                  - ListAllLiveEvents
                                                  - ReadLiveEvent
                                                  - UpdateLiveEvent
                                                  - ListLiveEventCoupon
                                                  - CreateLiveEventCoupon
                                                  - ListLiveEventStudent
                                                  - CreateLiveEventStudent
                                                  - DeleteLiveEvent
                                                  - ReadLiveEventPricing
                                                  - UpdateLiveEventPricing
                                                  - ListAllSchoolInstructors
                                                  - UpdateSchoolInstructorIamPolicy
                                                  - CreateInstructorInSchool
                                                  - DeleteInstructorInSchool
                                                  - ReadSchoolEmailData
                                                  - UpdateSchoolEmailData
                                                  - ReadMarketingCampaign
                                                  - CreateMarketingCampaign
                                                  - UpdateMarketingCampaign
                                                  - DeleteMarketingCampaign
                                                  - UpdateProductEnrollment
                                                  - ReadEmailTemplate
                                                  - CreateEmailTemplate
                                                  - UpdateEmailTemplate
                                                  - DeleteEmailTemplate
                                                  - UpdateCustomPaymentGateway
                                                  - ReadCustomPaymentGateway
                                                  - ReadVideoLibrary
                                                  - UpdateVideoLibrary
                                                  - DeleteVideoLibrary
                                                  - ReadCodingLab
                                                  - UpdateCodingLab
                                                  - DeleteCodingLab
                                                  - CreateObjectStoreFile
                                                  - DeleteObjectStoreFile
                                                  - ReadObjectStoreFile
                                                  - ListObjectStore
                                                  - CreateBundle
                                                  - ListBundle
                                                  - ReadBundle
                                                  - UpdateBundle
                                                  - DeleteBundle
                                                  - CreateBundleCoupon
                                                  - UpdateBundleCoupon
                                                  - ListBundleCoupon
                                                  - DeleteBundleCoupon
                                                  - ListBundlePricing
                                                  - UpdateBundlePricing
                                                  - ListBundleStudent
                                                  - CreateBundleEnrolledStudent
                                                  - DeleteBundleEnrolledStudent
                                              description: >-
                                                List of IAM permissions included in this
                                                permission set
                                            resourceIdType:
                                              anyOf:
                                                - type: string
                                                  enum:
                                                    - All
                                                - type: string
                                                  enum:
                                                    - Selected
                                              description: >-
                                                Scope of resources: "All" for all
                                                resources, "Selected" for specific
                                                resource IDs
                                          required:
                                            - permissions
                                            - resourceIdType
                                          description: >-
                                            A set of permissions with associated
                                            resource scope configuration
                                    required:
                                      - id
                                      - requiresResourceIds
                                      - permissionSets
                                  description: >-
                                    Array of permission presets configuration
                                    for instructors
                              required:
                                - totalPresetCount
                                - presets
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````